diff --git a/doc/src/sgml/fdwhandler.sgml b/doc/src/sgml/fdwhandler.sgml
index 8f17828..8b355e2 100644
--- a/doc/src/sgml/fdwhandler.sgml
+++ b/doc/src/sgml/fdwhandler.sgml
@@ -537,9 +537,10 @@ GetForeignServerByName(const char *name, bool missing_ok);
      <replaceable>local_variable</>.  Such clauses will not be found in
      <literal>baserel-&gt;baserestrictinfo</> but must be sought in the
      relation's join lists.  A path using such a clause is called a
-     <quote>parameterized path</>.  It must show the other relation(s) as
-     <literal>required_outer</> and list the specific join clause(s) in
-     <literal>param_clauses</>.  In <function>GetForeignPlan</>, the
+     <quote>parameterized path</>.  It must store the other relation(s) and
+     the specific join clause(s) in <literal>param_info</>.  It's recommended
+     to use <function>get_baserel_parampathinfo</> to store these information
+     in <literal>param_info</>.  In <function>GetForeignPlan</>, the
      <replaceable>local_variable</> portion of the join clause would be added
      to <structfield>fdw_exprs</>, and then at run time the case works the
      same as for an ordinary restriction clause.
